Skip to main content
GET
https://finsync.ar
/
api
/
clients
/
{id}
Get client details by ID
curl --request GET \
  --url https://finsync.ar/api/clients/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "company_id": 123,
  "type": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "accounts": [
    {
      "id": 123,
      "name": "<string>",
      "currency_name": "<string>",
      "client_id": 123,
      "balance": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
integer
required

Client ID

Response

Detailed client information with accounts

id
integer

Client ID

name
string

Client name

description
string | null

Client description

company_id
integer

Company ID the client belongs to

type
integer

Client type (0 = Internal, 1 = External)

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp

accounts
object[]

List of accounts associated with this client